package me.km.events;

import net.minecraft.entity.player.PlayerEntity;

public class CommandEvent {
    private final PlayerEntity p;
    private final String command;
    private boolean cancel = false;

    public CommandEvent(PlayerEntity p, String command) {
        this.p = p;
        this.command = command;
    }

    public PlayerEntity getPlayer() {
        return p;
    }

    public String getName() {
        return command;
    }

    public void setCanceled(boolean b) {
        cancel = b;
    }

    public boolean isCanceled() {
        return cancel;
    }
}
